
I was 4 years old. As I recall it was in the summer or fall. I had been having difficulty breathing and in the evening I was taken to the emergency room by my mother and father. This wasn't unusual; I averaged a trip to the hospital at least once every two weeks. On one occasion I distinctly remember listening to a doctor advising my parents to stop caring for me and to let me die, telling that I was not worth taking care of due to the extremeness of my asthma and would be dead by the time I was age 9.

Anyway, I was laying on an examination table, my parents were to the left of me. The door to the room was closed and I was in extreme pain. Every breath felt like burning razors were tearing through my lungs and throat. I don't remember the moment, I stopped breathing; only, all of the pain stopped and I found myself in a vast place.

The air, if you could call it that, was filled with an unearthly white light. The place seemed to expand for all eternity. I do remember a being of light, God, standing near me. It was looming over me like a great tower of strength, yet radiating only warmth and love. Its first words sent a shock through me, 'Bobby, I'm sorry for the pain this meeting will cause you. When I created the Universe, I put rules and limitations in place. Every time you come here, it changes you, because this is your second time here. You will remember more than you're supposed to, and it will cause you more pain than you know. You will suffer as no one in your family ever has, and I can't change that.' As those words were spoken, if that's what you could call them, I caught glimpses of my life and felt pride, love, joy, and sadness, all pouring into me. Each images was of me, but from the standpoint of a being standing with me or looking on.

I remember the conversation going on for an eternity, but in reality it only lasted a minute or two at the most. I remember a white light that seemed to pulsate and understanding that it was some kind of extension of God. It stored the moments of every moment and life. It allowed a mortal to experience them. If I was to label this, I would call it the Book of Fate, that contains all that has, is, and will be.

Somehow I felt the light from that device and God merge to become one with me. I saw my life, all 128 years of it. I saw my mother die, and me being unable to do anything about it as I had moved away. I saw my sister struggling with depression and worse due to a rape she experienced in her mid 20's. I saw my father die a few years after my mother. I saw a home I'd built for my family, in a place halfway across the country,. This home was far away from my home. I also experienced the final moments of my mortal life. I was in a bed, I don't know where, my children and grandchildren were there with me. I remember thinking, 'It's finally done.' I remember feeling a horrible wave of sadness rip through me as I thought of my daughter who had died before me, and then I remember thinking of my wife. (Keep in mind I was 4 years old while experiencing the life experiences of an 128 year old man) I remembered the night we were married, the room was dimly lit and she was standing in front of me getting undressed. I remember seeing a strand of gray in her hair and then looking back on that moment, realizing how in that moment I had been reborn and everything was worth it. Then I realized I'd be able to see her and my daughter again, and gave into death for the final time.

That wasn't the end though, I was shown the consequences of my life, thousands of people that I'd interacted with and felt what they felt about me, saw their life and how I had impacted them. Next I saw the consequences of my life and the influence of my actions. I saw people reading my books, teaching lessons to children that I had taught them.

I remember waking up confused and trying to deal with everything. For a long time afterwards I struggled to deal with what I saw, every time my mom got sick, I wondered if it was time for her to die. I tried to always be strong, and in time eventually came to blame myself for my mother's oncoming death and sister's oncoming rape. I couldn't deal with the things I had experienced and it took nearly 29 years after this before I could begin to stop blaming myself and accept that I had nothing to do with those things.

At the time of this writing, my sister was raped years ago, she got pregnant and then had a miscarriage. My mom had Alzheimer and stage 7 dementia, and is not expected to last another year. She entered the final stage about the same time I signed up with Teach For America and ended up half way across the country. My father is preparing for my mother's death and working on finding his final home, before it's his turn to die. As for me, I've been teaching for 14 years and have worked with nearly 10,000 children. I've also begun to write a book and the occasional article. I now live halfway across the country and have begun to consider dating.
